Skip to navigation

Create Redirects Import Job

Creates a new 301 Redirects import job.

Authentication

X-Auth-Tokenstring

OAuth scopes

UI NamePermissionParameter
Contentmodifystore_v2_content
Contentread-onlystore_v2_content_read_only

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

Path parameters

store_hashstringRequired
Permanent ID of the BigCommerce store.

Headers

AcceptstringRequiredDefaults to application/json

The MIME type of the response body.

Request

This endpoint expects a multipart form containing a file.
import_filefileRequired

A CSV file containing a list of Redirects to be imported.

The headers must be defined as follows:

Domain,Old Path,Manual URL/Path,Dynamic Target Type,Dynamic Target ID

Not every line will have a value for every column.

Response

Created
idstringOptional

Errors

400
Bad Request Error
413
Content Too Large Error
429
Too Many Requests Error